#!/bin/sh

HOSTNAME=tecumseh.net32.net
DBNAME=testdump
DBSUPERUSER=net32
DBCREATESCHEMASCRIPT=x


###### Load the database from the dump.

rm -f ${DBCREATESCHEMASCRIPT}.log
echo "I am dropping the database in order to load it . . ."
psql -h ${HOSTNAME} -p 5432 -d postgres -U ${DBSUPERUSER} -c "drop database if exists ${DBNAME}";
echo "I am creating the database in order to load it . . ."
createdb -h ${HOSTNAME} -p 5432 -O net32 -U ${DBSUPERUSER} --encoding=UTF8 ${DBNAME}
echo "I am loading the database from the dump . . ."
echo "*****************************************************************************************************************"
psql -h ${HOSTNAME} -p 5432 -d ${DBNAME} -U ${DBSUPERUSER} -f x.dmp 2>&1 | tee ${DBCREATESCHEMASCRIPT}.log
echo "*****************************************************************************************************************"

######

echo "I am finished."

